#include "../Util/PositionVector.h"


#ifndef ENTITY_H
#define ENTITY_H

namespace game
{
    class Maze;
    class Entity {
        private:
            PositionVector pos;
            char display_character;
            bool move_left;

            void handle_bowie(Maze& maze);
            void handle_connelly(Maze& maze, const PositionVector& player_position);
        public:
            Entity(PositionVector starting_position, char display_character);
            void tick(Maze& maze, const PositionVector& player_position);
            bool is_at_position(const PositionVector& position) const;
            char get_display_character();
    };
} // game

#endif //ENTITY_H
